<ion-header>

  <ion-navbar>
    <ion-title>Trackers</ion-title>

      <ion-buttons end>
        <button ion-button icon-only (click)="addTracker()">
          <ion-icon name="add"></ion-icon>
        </button>
      </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-card *ngFor="let tracker of trackers">
    <ion-item>
      <h2>{{tracker.name}}</h2>
      <p>Date of birth: {{tracker.pet.dateOfBirth | date: 'fullDate'}}</p>
    </ion-item>

    <ion-card-content>
      <ion-list>
        <p ion-item>Pet Name: {{tracker.pet.name}}</p>
      </ion-list>
    </ion-card-content>

    <ion-row>
      <ion-col>
      </ion-col>
      <ion-col>
      </ion-col>
      <ion-col center text-center>
        <button ion-button color="secondary" icon-left clear small *ngIf="tracker.id === activeTracker.id">
          <ion-icon name="text"></ion-icon>
          <div>Active Tracker</div>
        </button>
        <button ion-button color="danger" icon-left clear small *ngIf="tracker.id !== activeTracker.id" (click)="setAsActiveTracker(tracker)">
          <ion-icon name="text"></ion-icon>
          <div>Make active</div>
        </button>
      </ion-col>
    </ion-row>
  </ion-card>

</ion-content>
